-- Project: Fire Demo Effect
-- SDK: Corona - 09/12/11
-- Author: Andrew Burch
-- Date: 015/04/12
-- Site: http://www.newhighscore.net
-- Contact: andrew.burch@newhighscore.net
-- Note: Fire config

module(..., package.seeall)

cellWidth = 4
cellHeight = 4
cellsPerRow = 70
cellRowCount = 30
left = (display.contentWidth - (cellsPerRow * cellWidth)) * 0.5
top = display.contentHeight - (cellRowCount * cellHeight)

clearColour = {
	r = 0, g = 0, b = 0, a = 255,
}

colourChart = {
	{
		r = 0, g = 0, b = 0, a = 255,
	},
	{
		r = 0, g = 0, b = 0, a = 255,
	},
	{
		r = 31, g = 15, b = 4, a = 255,
	},
	{
		r = 55, g = 0, b = 87, a = 255,
	},
	{
		r = 188, g = 0, b = 0, a = 255,
	},
	{
		r = 255, g = 228, b = 0, a = 255
	},
	{
		r = 255, g = 255, b = 255, a = 255
	},
	{
		r = 255, g = 255, b = 255, a = 255
	},
	{
		r = 255, g = 255, b = 255, a = 255
	},
}

filter = {
	{
		y = -1, x = 0,
	},
	{
		y = 0, x = -1,
	},
	{
		y = 0, x = 1,
	},
	{
		y = 1, x = 0,
	},
	{
		y = 2, x = 0,
	},
	{
		y = 3, x = 0,
	},
}

paletteSize = 32
newMin = 20
newMax = paletteSize - 1
sideBuffer = 2
fadeAccelerate = 4