-- Module: Core
-- Author: Andrew Burch
-- Date: 01/04/2012
-- Site: http://www.newhighscore.net
-- Contact: andrew.burch@newhighscore.net
-- Info: Common functions
--

module(..., package.seeall)

local mathmin = math.min
local mathmax = math.max

function clamp1(v, min, max)
	return mathmax(mathmin(v, max), min)
end
